Subject: Re: bug#44983: Truncate long lines of grep output

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Dec 2020 18:15:08 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 13 Dec 2020 22:17:23 +0200
> 
> >> > In my opinion I believe that majority of users who ever clicked
> >> > "Search Files (grep)" gave up after few attempts.
> >> 
> >> Indeed, "Search for files (grep)" menu option is not user friendly.
> >
> > In what way is it not user-friendly?  It just invokes "M-x grep".
> 
> It's not friendly for users who don't know syntax of grep command line.

If someone wants to add a more user-friendly dialog for searching text
(or perhaps reuse a dialog provided by the GUI toolkits), I think it
will be welcome.  It is not a simple job, though, because the dialog
should allow access to most of the advanced features of Grep.

> OTOH, "Recursive grep" (rgrep) is easier to use, but its menu item text
> is not clear to users who don't know what is grep.  Maybe a better title
> for 'rgrep' would be "Search text in files"?

FWIW, I don't think rgrep is significantly more user-friendly, so IMO
it is not the model on which to base a better UI.